/*
 * Node.java
 *
 * Created on 2. prosinec 2005, 18:41
 *
 * To change this template, choose Tools | Options and locate the template under
 * the Source Creation and Management node. Right-click the template and choose
 * Open. You can then make changes to the template in the Source Editor.
 */

package cz.pcland.functions.nodes;
import java.util.*;
/**
 *
 * @author Petr Benhak
 */
abstract public class Node {

    /** Creates a new instance of Node */
    public Node() {
    }
    
    abstract public double evaluate(double varValue, String varName);
    public abstract String printSyntax(int priority);
    public abstract String print(int priority);
    
}
